Search…
⌃K
Links
⚙

Environment

Before getting started with Koii-X, make sure that you have the proper environment configured on your machine. Read below to learn how you can install and verify the necessary components to begin easy deployment of our simple dApp templates.

Node.js

We recommend installing the node version v16.13.1 to provide stable compatibility with React
  • Node v16.XX
Run node --version to verify you have the correct version installed.

Yarn

We install and run our scripts with yarn, as an alternative to npm:
npm install --global yarn

Arkb

We use Arkb to deploy your dApp to Arweave
npm install -g arkb